Bug 1045601 - Allow tcpdump to support libpcap nanosecond timestamping
Summary: Allow tcpdump to support libpcap nanosecond timestamping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tcpdump
Version: 6.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: ---
Assignee: Michal Sekletar
QA Contact: BaseOS QE Security Team
Eva Majorsinova
URL:
Whiteboard:
Depends On:
Blocks: 994246 1075802 1159820 1159926 1095797
TreeView+ depends on / blocked
 
Reported: 2013-12-20 20:10 UTC by Dave Sullivan
Modified: 2019-07-11 07:49 UTC (History)
5 users (show)

Fixed In Version: tcpdump-4.0.0-5.20090921gitdf3cb4.2.el6
Doc Type: Enhancement
Doc Text:
tcpdump supports -J, -j, and --time-stamp-precision options As kernel, glibc, and libpcap now provide APIs to obtain nanosecond resolutions timestamps, tcpdump has been updated to leverage this functionality. Users can now query which timestamp sources are available (-J), set a specific timestamp source (-j), and request timestamps with a specified resolution (--time-stamp-precision).
Clone Of:
: 1151406 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:19:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1294 normal SHIPPED_LIVE tcpdump bug fix and enhancement update 2015-07-20 17:54:04 UTC

Description Dave Sullivan 2013-12-20 20:10:13 UTC
Description of problem:

Need tcpdump to support new libpcap nanosecond timestamping

libpcap now supports nanonsecond timestamps via BZ below

https://bugzilla.redhat.com/show_bug.cgi?id=916749 

At [1] you can find tcpdump built against libpcap containing high precision timestamp patches. Please note -P switch and also switches -j/-J.

[1] http://msekleta.fedorapeople.org/

Comment 2 Michal Sekletar 2014-05-15 08:31:02 UTC
I sent patches for this upstream and topic is discussed here [0]. Should be merged soonish.

Comment 3 Michal Sekletar 2014-05-15 08:33:21 UTC
Arghh...Link to the upstream discussion.

[0] https://github.com/the-tcpdump-group/tcpdump/pull/377

Comment 13 errata-xmlrpc 2015-07-22 06:19:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1294.html


Note You need to log in before you can comment on or make changes to this bug.